<template>
  <div class="category" v-for="category in categories">
    <category-item
        :category="category"
        @changeParent="$emit('changeParent', category)"
        @edit="$emit('edit', category)"
        @remove="$emit('remove', category)"
    />
  </div>
</template>

<script>
import CategoryItem from "@/components/categories/CategoryItem";
export default {
  components: {
    CategoryItem
  },
  emits: ["changeParent", "edit", "remove"],
  props: {
    categories: {
      type: Array,
      required: true,
    }
  }
}
</script>

<style scoped>
.category {
  margin: 10px 20px;
  border-bottom: 1px solid;
  padding: 5px 0 5px 15px;
}
</style>